Source: kf6-knotifications
Section: libs
Priority: optional
Maintainer: Jonathan Esk-Riddell <jr@jriddell.org>
Build-Depends: cmake,
               dbus-x11,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kcodecs-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kwindowsystem-dev,
               libcanberra-dev,
               libclang-dev
               libdbusmenu-qt6-dev,
               libpyside6-dev,
               libpython3-dev,
               libshiboken6-dev,
               pkgconf,
               pkg-kde-tools-neon,
               python3-dev,
               python3-build,
               qt6-base-dev,
               qt6-base-private-dev,
               qt6-tools-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/knotifications
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knotifications
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knotifications.git

Package: kf6-knotifications
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: python3,
         python3-pyside6.qtcore,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6notifications6,
          libkf6notifications-data,
          qml6-module-org-kde-notification,
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 This package contains the libs and binaraies for KNotifications.

Package: kf6-knotifications-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-knotifications (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6notifications-dev,
          libkf6notifications-dev,
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 Contains dev files for KNotifications.

Package: libkf6notifications6
Architecture: all
Depends: kf6-knotifications, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6notifications-data
Architecture: all
Depends: kf6-knotifications, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6notifications-doc
Architecture: all
Depends: kf6-knotifications-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6notifications-dev
Architecture: all
Depends: kf6-knotifications-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-notification
Architecture: all
Depends: kf6-knotifications, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.